Closed Bug 955018 Opened 7 years ago Closed 7 years ago

Drop PPC support

Categories

(Chat Core :: General, defect)

x86
macOS
defect
Not set
major

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

References

Details

(Whiteboard: [1.4-wanted])

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 1588 at 2012-07-12 12:27:00 UTC ***

Mozilla no longer supports PPC, but we're forced to since our build machine isn't up to date. It'd be great to be able to drop PPC support, which would let us remove a lot of our patches to Mozilla. (If it wasn't obvious, this requires a new Mac build machine.)

Potentially helpful bugs:
https://bugzilla.mozilla.org/show_bug.cgi?id=764266 (c-c version)
https://bugzilla.mozilla.org/show_bug.cgi?id=651622 (browser/* version)
https://bugzilla.mozilla.org/show_bug.cgi?id=614720 (Meta bug)
*** Original post on bio 1588 at 2012-07-12 12:29:23 UTC ***

(In reply to comment #0)
> Potentially helpful bugs:
> https://bugzilla.mozilla.org/show_bug.cgi?id=764266 (c-c version)
> https://bugzilla.mozilla.org/show_bug.cgi?id=651622 (browser/* version)
> https://bugzilla.mozilla.org/show_bug.cgi?id=614720 (Meta bug)

Uhhh...these are totally unrelated. That's what happens when I clone bugs. :(
Whiteboard: [1.3-wanted]
*** Original post on bio 1588 at 2012-11-02 00:12:39 UTC ***

Too late to work on this for 1.3, replacing 1.3-wanted by 1.4-wanted in the whiteboard.
Whiteboard: [1.3-wanted] → [1.4-wanted]
*** Original post on bio 1588 at 2012-12-07 12:47:43 UTC ***

(In reply to bug 955036 (bio 1606), comment #5)
> This patch drops support for PPC, so I'm assuming this is also becoming the
> "drop ppc" bug (if it's not, then we need to file one, and land it before
> upgrading to gecko 17).
> 
> Dropping PPC also requires changing:
> -
> http://lxr.instantbird.org/instantbird/source/tools/buildbot-configs/macosx/mozconfig#12
> -
> http://lxr.instantbird.org/instantbird/source/tools/buildbot-configs/macosx/mozconfig-release#12
> (The new value seems to be:
> mk_add_options MOZ_BUILD_PROJECTS="i386 x86_64"
> )
> -
> http://lxr.instantbird.org/instantbird/source/tools/patches/no-debug-symbols.patch#26
> -
> http://lxr.instantbird.org/instantbird/source/instantbird/installer/Makefile.in#56
> (this comment doesn't make sense to me. The similar file in mail/ and browser/
> doesn't have that comment and no ifdef either, so I think we can just drop it.)
> -
> http://lxr.instantbird.org/instantbird/source/purple/libraries/glib/config.h#1043
> -
> http://lxr.instantbird.org/instantbird/source/purple/libraries/glib/glibconfig.h#252
> -
> http://lxr.instantbird.org/instantbird/source/purple/libraries/glib/glibconfig.h#294
> (For a reminder: these glib configuration files were created using glib's
> configure script that we ran on each of our supported platforms and I merged
> the results with ifdefs, so when dropping a platform we should cleanup the
> ifdefs specific to that platform; these ifdefs don't come from upstream.)
Blocks: 955036
Attached patch Untested patch (obsolete) — Splinter Review
*** Original post on bio 1588 as attmnt 2159 at 2012-12-07 22:43:00 UTC ***

Untested since...I don't have a Mac. This pretty much just follows the comments above.
Attachment #8353921 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
*** Original post on bio 1588 as attmnt 2161 at 2012-12-07 23:25:00 UTC ***

This now includes removal of the PPC patches.
Attachment #8353922 - Flags: review?(florian)
Comment on attachment 8353921 [details] [diff] [review]
Untested patch

*** Original change on bio 1588 attmnt 2159 at 2012-12-07 23:25:49 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353921 - Attachment is obsolete: true
Attachment #8353921 - Flags: review?(florian)
*** Original post on bio 1588 at 2012-12-10 02:59:24 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/7acb8127fc1f and http://hg.instantbird.org/instantbird/rev/4d84a04296f1
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.4
Comment on attachment 8353922 [details] [diff] [review]
Untested patch v2

*** Original change on bio 1588 attmnt 2161 at 2012-12-10 07:58:10 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353922 - Flags: review?(florian) → review+
You need to log in before you can comment on or make changes to this bug.